<?php

namespace Drupal\flashpoint_course_module\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBundleBase;

/**
 * Defines the Flashpoint course module type entity.
 *
 * @ConfigEntityType(
 *   id = "flashpoint_course_module_type",
 *   label = @Translation("Flashpoint course module type"),
 *   handlers = {
 *     "view_builder" = "Drupal\Core\Entity\EntityViewBuilder",
 *     "list_builder" = "Drupal\flashpoint_course_module\FlashpointCourseModuleTypeListBuilder",
 *     "form" = {
 *       "add" = "Drupal\flashpoint_course_module\Form\FlashpointCourseModuleTypeForm",
 *       "edit" = "Drupal\flashpoint_course_module\Form\FlashpointCourseModuleTypeForm",
 *       "delete" = "Drupal\flashpoint_course_module\Form\FlashpointCourseModuleTypeDeleteForm"
 *     },
 *     "route_provider" = {
 *       "html" = "Drupal\flashpoint_course_module\FlashpointCourseModuleTypeHtmlRouteProvider",
 *     },
 *   },
 *   config_prefix = "flashpoint_course_module_type",
 *   admin_permission = "administer site configuration",
 *   bundle_of = "flashpoint_course_module",
 *   entity_keys = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   config_export = {
 *     "id" = "id",
 *     "label" = "label",
 *     "uuid" = "uuid"
 *   },
 *   links = {
 *     "canonical" = "/admin/structure/flashpoint/flashpoint_course_module_type/{flashpoint_course_module_type}",
 *     "add-form" = "/admin/structure/flashpoint/flashpoint_course_module_type/add",
 *     "edit-form" = "/admin/structure/flashpoint/flashpoint_course_module_type/{flashpoint_course_module_type}/edit",
 *     "delete-form" = "/admin/structure/flashpoint/flashpoint_course_module_type/{flashpoint_course_module_type}/delete",
 *     "collection" = "/admin/structure/flashpoint/flashpoint_course_module_type"
 *   }
 * )
 */
class FlashpointCourseModuleType extends ConfigEntityBundleBase implements FlashpointCourseModuleTypeInterface {

  /**
   * The Flashpoint course module type ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Flashpoint course module type label.
   *
   * @var string
   */
  protected $label;

}
